Skip to main content
WEBHOOK

Headers

webhook-id
string
required

A unique identifier for this webhook request

Example:

"msg_xxxxxxxxxxxxxxxxxxxxxxxx"

webhook-signature
string
required

The signature of the webhook request with the webhook version prepended

Example:

"v1,BASE64ENCODEDSIGNATURE"

webhook-timestamp
string
required

The timestamp in seconds since the Unix epoch that the webhook was sent at on the server

Example:

"1727606400"

Body

application/json
api_version
string
required

The API version for this webhook

Allowed value: "v1"
Example:

"v1"

api_version_date
string | null
required

The dated API version (Api-Version-Date) the payload is serialized to

Example:

"2026-07-20"

data
object
required

The identity profile that changed. Re-fetch GET /api/v1/verifications to read its current, access-scoped state.

id
string
required

A unique ID for every single webhook request

Example:

"msg_xxxxxxxxxxxxxxxxxxxxxxxx"

timestamp
string<date-time>
required

The timestamp in ISO 8601 format that the webhook was sent at on the server

Example:

"2025-01-01T00:00:00.000Z"

type
string
required

The webhook event type

Allowed value: "identity_profile.updated"
Example:

"identity_profile.updated"

company_id
string | null

The account ID that this webhook event is associated with

Example:

"biz_xxxxxxxxxxxxxx"

previous_attributes
object

For some .updated events, the old values of the payload fields that changed, keyed by field name. Omitted when no capture is available for the event

Response

200

Return a 200 status to indicate that the data was received successfully